Announcement

Collapse
No announcement yet.

Installation Centreon 2.4 --> Conflit de packets

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Installation Centreon 2.4 --> Conflit de packets

    Bonjour à tous,

    J'ai suivi la documentation afin d'installer la version 2.4.2-4 de Centreon sur une VM RHEL 6.4 :
    - wget http://yum.centreon.com/standard/2.2/ces-standard.repo -O /etc/yum.repos.d/ces-standard.repo
    - yum install centreon-base-config-centreon-engine centreon

    Mais voici les problèmes que yum m'a remonté :

    Transaction Check Error:
    le fichier /etc/snmp/snmptrapd.conf de l'installation de centreon-trap-2.4.2-4.noarch entre en conflit avec le fichier du paquetage net-snmp-1:5.5-44.el6.x86_64

    J'ai cherché des version antérieures de ces deux packets au détail mais on les trouve que dans ces mêmes versions, et donc les même problèmes.

    Dois-je attendre la mise à jour d'un de ces deux packets afin que la situation se débloque ?

    Merci d'avance pour vos réponses.

  • #2
    Bonjour,

    le problème est que les repo de CES ne sont validés que pour RHEL5. Du coup il va y avoir quelques conflits avec RHEL6.
    Ici, c'est le fichier de configuration de snmptrapd qui bloque.

    Essaye de retirer le paquet net-snmp ... mais je crains de grosses dépendances.
    Essaye de passer outre le conflit de fichier (et là on regrettre aptitutde), mais comment ... je suis pas expert rpm :/

    Pas beaucoup mieux pour l'instant

    Comment


    • #3
      Hello Telvary,

      J'ai essayé en retirant le paquet net-snmp, mais effectivement l'installation échoue :/ donc là j'avoue qu'à part attendre que cela soit réglé par une mise à jour je ne vois pas trop quoi faire.

      Mais merci pour la réponse en tout cas ^^

      Comment


      • #4
        Mssieurs Dames bonjour,

        J'ai trouvé la solution au problème (grâce au post http://forge.centreon.com/issues/4101). Il faut donc taper les commandes suivantes :
        yum install net-snmp centreon-snmptt perl-DBD-MySQL
        wget http://yum.centreon.com/standard/2.2...2-4.noarch.rpm
        rpm -ivh --force centreon-trap-2.4.2-4.noarch.rpm
        yum install centreon-base-config-centreon-engine centreon

        Permetant donc de forcer l'installation du paquet qui posait initialement problème.
        Après ça, l'installation de Centreon se passe correctement !
        Par contre, il est évident que l'on ne peut pas être sûr que Centreon va être fiable avec cette méthode.

        Comment

        Working...
        X